io.netty.handler.codec.redis

## Interface BulkStringRedisContent

All Superinterfaces:
  io.netty.buffer.ByteBufHolder, RedisMessage, io.netty.util.ReferenceCounted

All Known Subinterfaces:
  LastBulkStringRedisContent

All Known Implementing Classes:
  DefaultBulkStringRedisContent, DefaultLastBulkStringRedisContent, FullBulkStringRedisMessage

    @UnstableApi
    public interface BulkStringRedisContent
    extends RedisMessage, io.netty.buffer.ByteBufHolder

A chunk of bulk strings which is used for Redis chunked transfer-encoding. `RedisDecoder` generates `BulkStringRedisContent` after `BulkStringHeaderRedisMessage` when the content is large or the encoding of the content is chunked. If you prefer not to receive `BulkStringRedisContent` in your handler, place `RedisBulkStringAggregator` after `RedisDecoder` in the `ChannelPipeline`.

### Method Summary

All Methods Instance Methods Abstract Methods
`BulkStringRedisContent` `copy()`
`BulkStringRedisContent` `duplicate()`
`BulkStringRedisContent` `replace(io.netty.buffer.ByteBuf content)`
`BulkStringRedisContent` `retain()`
`BulkStringRedisContent` `retain(int increment)`
`BulkStringRedisContent` `retainedDuplicate()`
`BulkStringRedisContent` `touch()`
`BulkStringRedisContent` `touch(Object hint)`

### Methods inherited from interface io.netty.buffer.ByteBufHolder

`content`

### Methods inherited from interface io.netty.util.ReferenceCounted

`refCnt, release, release`

### Method Detail

#### copy

    BulkStringRedisContent copy()

Specified by:
  `copy` in interface `io.netty.buffer.ByteBufHolder`

#### duplicate

    BulkStringRedisContent duplicate()

Specified by:
  `duplicate` in interface `io.netty.buffer.ByteBufHolder`

#### retainedDuplicate

    BulkStringRedisContent retainedDuplicate()

Specified by:
  `retainedDuplicate` in interface `io.netty.buffer.ByteBufHolder`

#### replace

    BulkStringRedisContent replace(io.netty.buffer.ByteBuf content)

Specified by:
  `replace` in interface `io.netty.buffer.ByteBufHolder`

#### retain

    BulkStringRedisContent retain()

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`

#### retain

    BulkStringRedisContent retain(int increment)

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`

#### touch

    BulkStringRedisContent touch()

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`

#### touch

    BulkStringRedisContent touch(Object hint)

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`